> ## Documentation Index
> Fetch the complete documentation index at: https://docs.feedspace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Screenshot to Review

> Screenshot to Review. Upload a screenshot of your review to automatically import it.



## OpenAPI

````yaml POST /imports/self-imports/image-to-text-review
openapi: 3.1.0
info:
  title: Feedspace API
  description: Feedspace API v3 - Feedback and testimonial management platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.feedspace.io/v3
security: []
paths:
  /imports/self-imports/image-to-text-review:
    post:
      tags:
        - Imports
      description: >-
        Screenshot to Review. Upload a screenshot of your review to
        automatically import it.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ImageToTextReviewImportRequest'
      responses:
        '200':
          description: >-
            Reviews imported successfully. May include warnings if some images
            failed processing.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      source_id:
                        type: integer
                        description: Import source ID
                      reviews:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              description: Review ID
                            user_id:
                              type: integer
                              description: User ID
                            social_platform_id:
                              type:
                                - integer
                                - 'null'
                              description: Social platform ID
                            review:
                              type:
                                - string
                                - 'null'
                              description: Review text extracted from image
                            review_title:
                              type:
                                - string
                                - 'null'
                              description: Review title
                            rating:
                              type:
                                - integer
                                - 'null'
                              description: Rating value
                            customer_name:
                              type:
                                - string
                                - 'null'
                              description: Customer name
                            review_at:
                              type:
                                - string
                                - 'null'
                              format: date-time
                              description: Review date
                        description: Array of imported reviews
                  warnings:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Warning message
                      failed_count:
                        type: integer
                        description: Number of images that failed
                      failed_images:
                        type: array
                        items:
                          type: object
                          properties:
                            image_name:
                              type: string
                              description: Name of the failed image
                            error:
                              type: string
                              description: Error message
                        description: Array of failed image details
                    description: >-
                      Warnings if some images failed (only present if errors
                      occurred)
              examples:
                success:
                  value:
                    data:
                      source_id: 123
                      reviews:
                        - id: 456
                          user_id: 789
                          social_platform_id: null
                          review: Great product! Highly recommend it.
                          review_title: Excellent Service
                          rating: 5
                          customer_name: John Doe
                          review_at: '2024-01-01T00:00:00.000000Z'
                partial_success:
                  value:
                    data:
                      source_id: 123
                      reviews:
                        - id: 456
                          user_id: 789
                          social_platform_id: null
                          review: Great product!
                          review_title: null
                          rating: 5
                          customer_name: John Doe
                          review_at: null
                    warnings:
                      message: Some images could not be processed
                      failed_count: 1
                      failed_images:
                        - image_name: screenshot2.jpg
                          error: Unable to extract review from image
        '403':
          description: >-
            Access denied - user does not have permission to create
            image-to-text reviews.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
              examples:
                access_denied:
                  value:
                    message: Image to text review not allowed for this account
        '422':
          description: No reviews extracted from the image(s).
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        image_name:
                          type: string
                          description: Name of the image
                        error:
                          type: string
                          description: Error message
                    description: Array of error details for failed images
              examples:
                no_reviews:
                  value:
                    message: No reviews could be extracted from the provided image
                    errors:
                      - image_name: screenshot.jpg
                        error: Unable to extract review data from image
        '500':
          description: Server error during processing.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
              examples:
                server_error:
                  value:
                    error: Failed to import reviews
        '502':
          description: Bad gateway - error during image processing.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  message:
                    type: string
                    description: Detailed error message
              examples:
                processing_error:
                  value:
                    error: Failed to process image
                    message: Unable to extract text from the provided image
      security:
        - basicAuth: []
components:
  schemas:
    ImageToTextReviewImportRequest:
      type: object
      description: >-
        Request body for importing reviews from a screenshot image. Upload a
        screenshot of your review to automatically import it.
      properties:
        images[]:
          type: string
          format: binary
          description: >-
            Image file (required, exactly 1 image). Allowed formats: jpeg, png,
            jpg, gif, svg, webp, bmp, avif. Max size: 15 MB
      required:
        - images[]
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        HTTP Basic Authentication using API Key and Secret Key. The credentials
        should be Base64 encoded in the format 'api_key:secret_key'. You can
        obtain your API Key and Secret Key from Feedspace → Automation → API
        (https://app.feedspace.io/automation/api).

````